package com.gyee.dataadapter.dao;

import com.gyee.dataadapter.entity.PointData;

import java.util.List;
import java.util.Map;

public interface ILatestDao {


    Map<String, PointData> getPointDataLatest(String... tagNames);

    int writeDoubleLatest(List<PointData> list);

    int writeStringLatest(List<PointData> list);

    int writeBooleanLatest(List<PointData> list);

    int writeLongLatest(List<PointData> list);

    int writeBlobLatest(List<PointData> list);

    int writeCoordinateLatest(List<PointData> list);

    boolean writeLatest(List<PointData> dataList);

}
